### Method

# FwupdPlugin BluezDevice write_acquire

#### Declaration [src]

    FuIOChannel*
    fu_bluez_device_write_acquire (
      FuBluezDevice* self,
      const gchar* uuid,
      gint32* mtu,
      GError** error
    )

#### Description [src]

Acquire notifications for property changes in a UUID (AcquireNotify method). Closing IO channel releases the notify.

Available since: | 2.0.0

#### Parameters

`uuid` | `const gchar*`
| The UUID, e.g. `00cde35c-7062-11eb-9439-0242ac130002`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`mtu` | `gint32*`
| MTU of the channel.
| The argument will be set by the function.
| The argument can be `NULL`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `FuIOChannel`
| A `FuIOChannel` or `NULL` on error.
| The caller of the method takes ownership of the data, and is responsible for freeing it.